﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Helios.Source;
using Microsoft.AspNetCore.Mvc;

// For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860

namespace Helios.Controllers
{
    public class UserController : Controller
    {
        private readonly UserService _userService;

        public UserController(UserService service)
        {
            _userService = service;
        }

        public ActionResult Admin()
        {
            return View();
        }

        public ActionResult UserPage()
        {
            var user = _userService.GetUser();

            return View(user);
        }
    }
}

