﻿using System;
using System.ComponentModel;

namespace Helios.Models
{
	public class ConfiguratorInput
	{
        public List<Roof> Roofs { get; set; }

		[DisplayName("Energy usage in KwH?")]
		public int PowerRequired { get; set; }

		[DisplayName("Maximum energy to be generated")]
        public int MaximumPower { get; set; }

		[DisplayName("Budget (£)")]
        public int Budget { get; set; }

        public ConfiguratorInput()
		{
		}
	}
}

