﻿using System;
namespace Helios.Models
{
	public class PowerDistributionModule
	{
		public double Efficiency { get; set; }
		public double BaseLoad { get; set; }

		public PowerDistributionModule() { }

		public PowerDistributionModule(double efficiency)
        {
			this.Efficiency = efficiency;
        }

		public double GetBaseLoad(double powerConsumption)
        {
			double baseLoad;

			baseLoad = powerConsumption + ((1 - Efficiency) * powerConsumption);

			this.BaseLoad = baseLoad;

			return baseLoad;
        }
	}
}

